信用分析 - 法人
要对法人进行信用分析,请使用 Legal Person 端点。
在进行法人信用分析时,需要将以下数据发送到我们的服务器。
定义 Legal Person 对象
Request Body
{
"id": "12345678",
"credit_request_date": "2021-03-31T10:30:00-03:00",
"credit_type": "student_loan",
"legal_name": "QI Tech Tecnologia LTDA",
"trading_name": "QI Tech",
"document_number": "35.472.523/0001-15",
"constitution_date": "2019-11-11",
"constitution_type": "llc",
"email": "suporte.caas@qitech.com.br",
"monthly_revenue": 50000000,
"client_category": "Premium User",
"client_since": "2021-02-11",
"address": {
"country": "BRA",
"street": "Av. Brigadeiro Faria Lima",
"number": "2391",
"neighborhood": "Jardim Paulistano",
"city": "São Paulo",
"uf": "SP",
"postal_code": "01452-905"
},
"phones": [
{
"international_dial_code": "55",
"area_code": "11",
"number": "32234611",
"type": "residential"
}
],
"shareholders": [
{
"name": "Anna Pinto Azevedo",
"document_number": "261.026.462-31",
"birthdate": "1972-08-22",
"email": "annapintoazevedo@sample.com",
"nationality": "BRA",
"mother_name": "Beatrice Rodrigues Pinto",
"father_name": "Luís Azevedo",
"monthly_income": 800000,
"declared_assets": 18600000,
"occupation": "law",
"gender": "female",
"address": {
"country": "BRA",
"street": "Rua Derviche Djouki",
"number": "598",
"complement": "Ap 857",
"neighborhood": "Chora Menino",
"city": "São Paulo",
"uf": "SP",
"postal_code": "02463-080"
},
"phones": [
{
"international_dial_code": "55",
"area_code": "11",
"number": "55988644",
"type": "mobile"
}
]
}
],
"guarantors": [
{
"name": "Melissa Lima Melo",
"document_number": "677.498.846-61",
"birthdate": "1960-11-21",
"email": "exemplo2@sample.com",
"nationality": "BRA",
"mother_name": "Raíssa Lima",
"father_name": "Ronaldo Melo",
"monthly_income": 800000,
"declared_assets": 18600000,
"occupation": "law",
"gender": "female",
"address": {
"country": "BRA",
"street": "Rua Castro Alves",
"number": "100",
"complement": "Ap 202",
"neighborhood": "Parque Estrela Dalva I",
"city": "Luziânia",
"uf": "GO",
"postal_code": "72804-050"
},
"phones": [
{
"international_dial_code": "55",
"area_code": "11",
"number": "21158745",
"type": "residential"
}
]
}
],
"financial": {
"amount": 100000,
"currency": "BRL",
"interest_type": "cdi_plus",
"annual_interest_rate": 2.32,
"cdi_percentage": 100,
"number_of_installments": 4
},
"warrants": [
{
"warrant_type": "real_estate",
"address": {
"country": "BRA",
"street": "Rua Curitiba",
"number": "150",
"complement": "Bl 3 apt 122",
"neighborhood": "Paraíso",
"city": "São Paulo",
"uf": "SP",
"postal_code": "04005-030"
},
"property_type": "house",
"estimated_value": 100000000,
"forced_selling_value": 60000000
}
],
"source": {
"channel": "website",
"ip": "132.23.161.75",
"session_id": "2bb684f9-6c00-4993-bcd7-18b9eccd7c9d"
},
"scr_parameters" : {
...
}
}
信用分析应在放款前提交至 API,可用于决定是否批准信用申请。根据与客户的协议,所提交的数据也可用于欺诈预防。
本节未定义的、用于组成 CreditProposal 对象的其他对象,请参阅共享对象部分。
| 名称 | 类型 | 描述 |
|---|---|---|
| id | string | 您系统中信用提案的标识符。 每个信用分析流程的该编号必须唯一 |
| registration_id | string | 客户系统中的注册标识符。用于对同一注册进行多次分析时使用。 |
| credit_request_date | datetime | 借款人申请信用的日期和时间 |
| credit_type | enum | 正在授予的信用类型。目前支持:clean、student_loan、credit_card_limit |
| legal_name | string | 公司全称 |
| trading_name | string | 商号名称 |
| document_number | string | CNPJ,按本文档规定的格式填写 |
| monthly_revenue | integer | 月总收入(以分为单位) |
| client_category | string | 根据您的平台或忠诚度计划对客户进行的分类 |
| client_since | date | 开始为该客户提供服务的日期 |
| constitution_date | date | 公司注册成立日期,依据商业登记 |
| constitution_type | enum | 公司组织形式:LLC、corp |
| string | 公司代表的电子邮件 | |
| address | Address | 公司总部地址 |
| phones | list of Phones | 公司联系电话列表 |
| shareholders | list of NaturalPerson | 公司股东,以自然人模式(NaturalPerson 对象)表示 |
| guarantors | list of Person | 操作的担保人,可为自然人(NaturalPerson)或法人(LegalPerson) |
| financial.amount | integer | 借款人申请的总金额,批准后将予以释放 |
| financial.currency | enum | 总金额对应的货币单位:BRL、USD、EUR |
| interest_type | enum | 将使用的债务指数:cdi_plus、cdi_percentage、price、pre_fixed |
| annual_interest_rate | number | 年利率中的固定利率部分(百分比) |
| cdi_percentage | number | 将收取的 CDI 百分比(浮动部分) |
| number_of_installments | integer | 分期数 |
| warrants | Warrant | 操作中提供的实物担保数据。需在投产前协商确定。目前接受以下类型:real_estate |
| source | Source | 信用销售渠道。目前接受:website 和 app |
| scr_parameters | ScrParameters | 包含在信用分析中使用 SCR 信息所需内容的对象 |
提交信用提案 - 法人
Request Body
{
"id": "12345678",
...
}
Response Body
{
"id": "12345678",
"analysis_status": "automatically_approved",
"reason": "rule_decision_enum"
}
要评估信用提案,只需将 LegalPerson 类型的对象发送到以下端点:
POST https://api.caas.qitech.app/credit_analysis/legal_person